Bug 735831 - missing /dev/stderr in init scripts
Summary: missing /dev/stderr in init scripts
Keywords:
Status: CLOSED DUPLICATE of bug 735618
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-05 16:16 UTC by Mads Kiilerich
Modified: 2014-03-17 03:28 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-06 03:25:39 UTC


Attachments (Terms of Use)

Description Mads Kiilerich 2011-09-05 16:16:40 UTC
These boot time errors popped up:

[   14.370565] fedora-readonly[526]: /etc/init.d/functions: line 58: /dev/stderr: No such device or address
[   14.794643] fedora-storage-init[706]: /etc/init.d/functions: line 58: /dev/stderr: No such device or address
[   16.754198] fedora-storage-init[901]: /etc/init.d/functions: line 58: /dev/stderr: No such device or address
[   17.622258] fedora-autoswap[915]: /etc/init.d/functions: line 58: /dev/stderr: No such device or address

I guess they are caused by recent changes to systemd and stdout/stderr logging so processes no longer inherit stderr and /dev/stderr -> /proc/self/fd/2 thus no longer exists.

initscripts-9.32-1.fc16.x86_64
systemd-35-1.fc16.x86_64

Comment 1 Mads Kiilerich 2011-09-05 16:22:44 UTC
See also Bug 735832 for openssh keygen.

Comment 2 Bill Nottingham 2011-09-06 03:25:39 UTC

*** This bug has been marked as a duplicate of bug 735618 ***


Note You need to log in before you can comment on or make changes to this bug.